Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers
Class AbstractPluginWrapper

    java.lang.Object
      org.jboss.console.plugins.helpers.AbstractPluginWrapper

All Implemented Interfaces:
  ConsolePlugin, PluginWrapper, Serializable

Direct Known Subclasses:
  AOPLister, BasePluginWrapper, EJBModuleLister, J2EEAppLister, JMSLister, JSR77Lister, MBeansLister, MonitorLister, UCLLister, WebModuleLister

public abstract class AbstractPluginWrapper
extends Object
implements PluginWrapper, ConsolePlugin

Version:
  $Revision: 1.8 $

  Revisions:

  2 janv. 2003 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Nested Class Summary
`static interface` | `AbstractPluginWrapper.InternalResourceChecker`
`class` | `AbstractPluginWrapper.RootTreeChecker`
`class` | `AbstractPluginWrapper.SingleMBeanChecker`
`class` | `AbstractPluginWrapper.StandardMBeanChecker`
`class` | `AbstractPluginWrapper.SubFolderChecker`

Field Summary
`protected AbstractPluginWrapper.InternalResourceChecker` | `checker`
`static String` | `FOLDER_NAME_PARAM`
`protected String` | `folderName`
`static String` | `IS_ROOT_NODE_PARAM`
`protected org.jboss.logging.Logger` | `log`
`static String` | `MBEAN_CLASS_PARAM`
`protected String` | `mbeanClass`
`protected javax.management.MBeanServer` | `mbeanServer`
`static String` | `OBJECT_NAME_PARAM`
`protected String` | `objectName`
`protected String` | `pluginName`
`protected String` | `pluginVersion`
`protected PluginManager` | `pm`
`protected String` | `rootContextName`
`static String` | `SCRIPT_NAME_PARAM`
`static String` | `WRAPPER_CLASS_PARAM`

Fields inherited from interface org.jboss.console.manager.interfaces.ConsolePlugin
`PLUGIN_PROFILES, WEB_PROFILE`

Constructor Summary
`AbstractPluginWrapper()`

Method Summary
`protected TreeNodeMenuEntry[]` | `createMenus(String[] content)`
`protected SimpleResourceTreeNode` | `createResourceNode(String name, String description, String iconUrl, String defaultUrl, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] subResNodes, ManageableResource resource)`
`protected SimpleResourceTreeNode` | `createResourceNode(String name, String description, String iconUrl, String defaultUrl, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] subResNodes, String jmxObjectName, String jmxClassName)`
`protected SimpleTreeNode` | `createTreeNode(String name, String description, String iconUrl, String defaultUrl, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] subResNodes)`
`void` | `destroy()`
`protected String` | `encode(String source)`
`protected void` | `findJBossMBeanServer()`
`protected void` | `findPluginManager()`
`protected String` | `fixUrl(String source)`
`String` | `getIdentifier()`
`protected javax.management.MBeanServer` | `getMBeanServer()`
`protected javax.management.ObjectInstance[]` | `getMBeansForClass(String scope, String className)`
`protected javax.management.ObjectInstance[]` | `getMBeansForQuery(String scope, javax.management.QueryExp query)`
`protected String` | `getPluginIdentifier()`
`protected String` | `getPluginVersion()`
`TreeNode` | `getSubTreeForResource(PluginManager master, String profile, ManageableResource resource)`
`String[]` | `getSupportedProfiles()` Define in which console framework this plugin can be plugged (web, eclipse, etc.)
`protected abstract TreeNode` | `getTreeForResource(String profile, ManageableResource resource)`
`String` | `getVersion()`
`void` | `init(javax.servlet.ServletConfig servletConfig)`
`protected boolean` | `isResourceToBeManaged(ManageableResource resource)`
`void` | `readConfigurationParameters(javax.servlet.ServletConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_NAME_PARAM

    public static final String OBJECT_NAME_PARAM

See Also:
  Constant Field Values

### FOLDER_NAME_PARAM

    public static final String FOLDER_NAME_PARAM

See Also:
  Constant Field Values

### MBEAN_CLASS_PARAM

    public static final String MBEAN_CLASS_PARAM

See Also:
  Constant Field Values

### WRAPPER_CLASS_PARAM

    public static final String WRAPPER_CLASS_PARAM

See Also:
  Constant Field Values

### SCRIPT_NAME_PARAM

    public static final String SCRIPT_NAME_PARAM

See Also:
  Constant Field Values

### IS_ROOT_NODE_PARAM

    public static final String IS_ROOT_NODE_PARAM

See Also:
  Constant Field Values

### mbeanServer

    protected javax.management.MBeanServer mbeanServer

### pm

    protected PluginManager pm

### pluginName

    protected String pluginName

### pluginVersion

    protected String pluginVersion

### objectName

    protected String objectName

### mbeanClass

    protected String mbeanClass

### folderName

    protected String folderName

### rootContextName

    protected String rootContextName

### log

    protected org.jboss.logging.Logger log

### checker

    protected AbstractPluginWrapper.InternalResourceChecker checker

Constructor Detail

### AbstractPluginWrapper

    public AbstractPluginWrapper()

Method Detail

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws Exception

  Specified by:
    `init` in interface `PluginWrapper`
  Throws:
    `Exception`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `PluginWrapper`

### readConfigurationParameters

    public void readConfigurationParameters(javax.servlet.ServletConfig config)

### getIdentifier

    public String getIdentifier()

  Specified by:
    `getIdentifier` in interface `ConsolePlugin`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `ConsolePlugin`

### getSupportedProfiles

    public String[] getSupportedProfiles()

  Description copied from interface: `ConsolePlugin`
  Define in which console framework this plugin can be plugged (web, eclipse, etc.)

  Specified by:
    `getSupportedProfiles` in interface `ConsolePlugin`

### getSubTreeForResource

    public TreeNode getSubTreeForResource(PluginManager master,
                                          String profile,
                                          ManageableResource resource)

  Specified by:
    `getSubTreeForResource` in interface `ConsolePlugin`

### isResourceToBeManaged

    protected boolean isResourceToBeManaged(ManageableResource resource)

### getTreeForResource

    protected abstract TreeNode getTreeForResource(String profile,
                                                   ManageableResource resource)

### getPluginIdentifier

    protected String getPluginIdentifier()

### getPluginVersion

    protected String getPluginVersion()

### findJBossMBeanServer

    protected void findJBossMBeanServer()

### findPluginManager

    protected void findPluginManager()

### getMBeanServer

    protected javax.management.MBeanServer getMBeanServer()

### fixUrl

    protected String fixUrl(String source)

### getMBeansForClass

    protected javax.management.ObjectInstance[] getMBeansForClass(String scope,
                                                                  String className)

### getMBeansForQuery

    protected javax.management.ObjectInstance[] getMBeansForQuery(String scope,
                                                                  javax.management.QueryExp query)

### createTreeNode

    protected SimpleTreeNode createTreeNode(String name,
                                            String description,
                                            String iconUrl,
                                            String defaultUrl,
                                            TreeNodeMenuEntry[] menuEntries,
                                            TreeNode[] subNodes,
                                            ResourceTreeNode[] subResNodes)
                                     throws Exception

  Throws:
    `Exception`

### createResourceNode

    protected SimpleResourceTreeNode createResourceNode(String name,
                                                        String description,
                                                        String iconUrl,
                                                        String defaultUrl,
                                                        TreeNodeMenuEntry[] menuEntries,
                                                        TreeNode[] subNodes,
                                                        ResourceTreeNode[] subResNodes,
                                                        String jmxObjectName,
                                                        String jmxClassName)
                                                 throws Exception

  Throws:
    `Exception`

### createResourceNode

    protected SimpleResourceTreeNode createResourceNode(String name,
                                                        String description,
                                                        String iconUrl,
                                                        String defaultUrl,
                                                        TreeNodeMenuEntry[] menuEntries,
                                                        TreeNode[] subNodes,
                                                        ResourceTreeNode[] subResNodes,
                                                        ManageableResource resource)
                                                 throws Exception

  Throws:
    `Exception`

### createMenus

    protected TreeNodeMenuEntry[] createMenus(String[] content)
                                       throws Exception

  Throws:
    `Exception`

### encode

    protected String encode(String source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.